# League.url

[![Latest Version](https://img.shields.io/github/release/thephpleague/url.svg?style=flat)](https://github.com/thephpleague/url/releases)
[![Software License](https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat)](LICENSE.md)
[![Build Status](https://img.shields.io/travis/thephpleague/url/master.svg?style=flat)](https://travis-ci.org/thephpleague/url)
[![Coverage Status](https://img.shields.io/scrutinizer/coverage/g/thephpleague/url.svg?style=flat)](https://scrutinizer-ci.com/g/thephpleague/url/code-structure)
[![Quality Score](https://img.shields.io/scrutinizer/g/thephpleague/url.svg?style=flat)](https://scrutinizer-ci.com/g/thephpleague/url)
[![Total Downloads](https://img.shields.io/packagist/dt/league/url.svg?style=flat)](https://packagist.org/packages/league/url)


The League Url package provides simple and intuitive classes and methods to create and manage Urls in PHP. 

This package is compliant with [PSR-2][], and [PSR-4][].

[PSR-4]: https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-4-autoloader.md
[PSR-2]: https://github.com/php-fig/fig-standards/blob/master/accepted/PSR-2-coding-style-guide.md

Requirements
-------

You need **PHP >= 5.3.0** and the `mbstring` extension to use the library but the latest stable version of PHP is recommended.

## Install

Install the `League\Url` package using composer:

```json
{
    "require": {
        "League/url": "3.*"
    }
}
```

Documentation
-------

`League\Url` has [full documentation](http://url.thephpleague.com), powered by [Sculpin](http://sculpin.io).

Contribute to this documentation in the [sculpin branch](https://github.com/thephpleague/url/tree/sculpin/source)

Testing
-------

``` bash
$ phpunit
```

Contributing
-------

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.

Credits
-------

- [ignace nyamagana butera](https://github.com/nyamsprod)
- [All Contributors](graphs/contributors)

License
-------

The MIT License (MIT). Please see [License File](LICENSE) for more information.
